Subject: [NSIS] RE: possible clarification needed for Section 4.3.2

From: "Hancock, Robert" <[email-masked]>
Date: Wed, 12 Oct 2005 19:11:55 +0100

hi georgios,

i've created 
http://nsis.srmr.co.uk/cgi-bin/roundup.cgi/nsis-ntlp-issues/issue75
to cover this and other aspects of the same clarification.

cheers,

robert h.

> -----Original Message-----
> From: Georgios Karagiannis [mailto:[email-masked]] 
> Sent: 11 October 2005 15:13
> To: Hancock, Robert; Martin Stiemerling
> Cc: [email-masked]; nsis
> Subject: possible clarification needed for Section 4.3.2
> 
> 
> Hi Robert
> 
> Could you please clarify the text in Section 4.3.2, which is 
> related to the 
> bypassing functionality.
> The clarification should actually include the semantics of 
> the text that has 
> been provided by
> you in the previous e-mail, see below:
> 
> 
> > This is definitely not true. The situation is described in 4.3.2:
> > a GIST node which is stateless in this way will forward the Query
> > downstream, possibly with a revised payload; when this hits 
> a stateful
> > node, the Response will come back. The stateless node MUST NOT send
> > anything back saying 'I am stateless' because then the Querying node
> > would see two (or in general 1+N) replies to its message, 
> all but one
> > of them being failures. The querying node doesn't care about the
> > existence of the stateless nodes anyway (at the GIST level).
> 
> 
> Best Regards,
> Georgios
> 
> ----- Original Message ----- 
> From: "Hancock, Robert" <[email-masked]>
> To: "Georgios Karagiannis" <[email-masked]>; "Martin 
> Stiemerling" 
> <[email-masked]>
> Cc: <[email-masked]>; "nsis" <[email-masked]>
> Sent: Tuesday, October 11, 2005 3:13 PM
> Subject: RE: [NSIS] NSLP-Data in intial GIST-Query
> 
> 
> > hi all,
> >
> > there will be a separate answer to Martin's original point
> > (in fact, in an answer to Thomas's answer ...). But there are
> > some specific points here too. Inline:
> >
> >> -----Original Message-----
> >> From: Georgios Karagiannis [mailto:[email-masked]]
> >> Sent: 11 October 2005 10:07
> >> To: Martin Stiemerling; Hancock, Robert
> >> Cc: nsis; [email-masked]
> >> Subject: Re: [NSIS] NSLP-Data in intial GIST-Query
> >>
> >>
> >> Hi Martin
> >>
> >> I think that your example is not very clear!
> >> Please note that during the discovery phase it is assumed that the
> >> querying and responding node do not have to create the GIST
> >> routing state.
> >
> > In the discovery phase (if discovery is happening), the Querying
> > node *has* to create state at the start; the Responding node
> > can do so in a delayed way (as we all know).
> >
> >>
> >> Thus your example is valid for both GIST stateless and 
> GIST stateful
> >> responding nodes.
> >> Please note however, that the sending node will wait for a
> >> timeout, and if
> >> no GIST-Response arrives in time,
> >> then  it will resend the complete GIST QUERY message
> >> including the payload.
> >> Please also note that if the GIST responding node receives
> >> the GIST_QUERY
> >> message,
> >> it will send the payload to the appropriate NSLP. Thus even
> >> during the first
> >> GIST-QUERY the NSLP-DATA
> >> will be forwarded to the NSLP.
> >
> > This is true.
> >
> >>
> >> But anyway, you raised a good point!
> >> The real problem that occurs due to the stateless GIST
> >> responding node is
> >> that the
> >> GIST queying  node will keep retransmiting the GIST-QUERY message!
> >
> > This is not quite true.
> >
> >>
> >> Therefore, I think that it is needed to specify a way such that the
> >> stateless GIST responding node
> >> will inform the GIST querying node that the GIST 
> responding node is a
> >> stateless node.
> >
> > This is definitely not true. The situation is described in 4.3.2:
> > a GIST node which is stateless in this way will forward the Query
> > downstream, possibly with a revised payload; when this hits 
> a stateful
> > node, the Response will come back. The stateless node MUST NOT send
> > anything back saying 'I am stateless' because then the Querying node
> > would see two (or in general 1+N) replies to its message, 
> all but one
> > of them being failures. The querying node doesn't care about the
> > existence of the stateless nodes anyway (at the GIST level).
> >
> > If the Query is lost before it gets to the stateful Responder, or
> > if the Response is lost on the way back, or if there is no stateful
> > Responder in the first place, the original Query will be resent.
> >
> > r.
> >
> >>
> >> Best Regards,
> >> Mayi and Georgios
> >>
> >>
> >> ----- Original Message ----- 
> >> From: "Martin Stiemerling" <[email-masked]>
> >> To: "nsis" <[email-masked]>
> >> Sent: Tuesday, October 11, 2005 10:08 AM
> >> Subject: [NSIS] NSLP-Data in intial GIST-Query
> >>
> >>
> >> > Hi,
> >> >
> >> > GIST-Query messages may carry a NSLP-Data object containing
> >> information
> >> > for the NSLP. I'm now assuming an initial GIST-Query send
> >> downstream
> >> > looking for the next peer., carrying NSLP-Data, and a GIST
> >> downstream node
> >> > using a stateless approach (delayed state setup, using a 
> responder
> >> > cookie ). In this case, the NSLP data would be lost, if not
> >> re-transmitted
> >> > in the GIST-Confirm/GIST-Data later, since the downstream
> >> peer does not
> >> > keep any state about the initial GIST-Query. There is no
> >> text (as far as I
> >> > know) describing what the sending GIST-peer should do in
> >> this case. In the
> >> > case of a "stateless" downstream peer (querying node sees
> >> response with
> >> > responder cookie and R-flag set), the querying must re-send
> >> the NSLP-data
> >> > in the next message.
> >> >
> >> > I may have missed something while reading the draft, but
> >> this issue was
> >> > coming to mind afterwards.
> >> >
> >> > With best regards,
> >> >
> >> >  Martin
> >> >
> >> > _______________________________________________
> >> > nsis mailing list
> >> > [email-masked]
> >> > https://www1.ietf.org/mailman/listinfo/nsis
> >> >
> >>
> >>
> >
> > _______________________________________________
> > nsis mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/nsis
> > 
> 
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis